1
0
forked from pool/virtualbox
virtualbox/vbox-vboxdrv-init-script.diff
Larry Finger 6ef2a4ec60 - Version bump to 6.0.4 (released January 28 2019 by Oracle)
Files "fixes_for_5.0" and "fixes_for_gcc9" are deleted - the code was fixed upstream.
This is a maintenance release. The following items were fixed and/or added:
Virtualization core: support Shanghai/Zhaoxin CPUs.
User interface: handle command line arguments to VirtualBox correctly (bugs #18206 and #18197)
User interface: improvements to machine manager window, virtual optical disk creator, storage selector window and log viewer window
User interface: various small fixes and improvements
Audio: implemented time scheduling for the AC'97 device emulation to keep audio and video in sync
Graphics: basic support for VMSVGA graphics device in virtual machines using EFI
Network: fix occasional NATNet crashes (bug #13899)
Network: worked around problems in certain PCnet drivers on old operating systems
Serial: fixed connecting to pseudo terminals on POSIX hosts (6.0.0 regression; bug #18319)
Linux hosts and guests: fix for building kernel modules against Linux 5.0. Thank you Kyle Laker

- Converted vboxwebsrv to a systemd service. Previously, this was started through init.d. bsc#1116050
  Files "vboxweb-service.service" and "vboxweb-service.sh" are added.
  File "vbox-vboxweb-init-script.diff" is removed.
  File "fixes_for_4.20.patch" is removed - the code was fixed upstream.
  File "fix_lib_search.patch" is added to fix the build of VBox0GL.
  File "fixes_for_5.0.patch" is added to compensate for API changes in kernel 5.0.
  File "virtualbox-system-x.patch" is removed.
  File "fixes_for_Leap15.1.patch" is added to fix build errors on Leap 15<F5>.1.
- Version bump to 6.0.2 (released January 15 2019 by Oracle)
This is a maintenance release. The following items were fixed and/or added:
User interface: fixed creation of desktop shortcuts for starting virtual machines (bug #18207)
User interface: allow the first run window to selecting host drives (bug #18230)
User interface: fixed attaching empty host optical drives (bug #18223)
User interface: implemented a new virtual optical disk creation window
USB: modified Linux backends to reset USB devices (previously, most guest attempts to reset USB devices were ignored)
PCnet: fixed a regression which caused some PCnet PCI guest drivers to not detect the emulated hardware (bug #18286)

OBS-URL: https://build.opensuse.org/package/show/Virtualization/virtualbox?expand=0&rev=465
2019-01-28 20:37:13 +00:00

87 lines
3.1 KiB
Diff

Index: VirtualBox-6.0.0/src/VBox/Installer/linux/vboxdrv.sh
===================================================================
--- VirtualBox-6.0.0.orig/src/VBox/Installer/linux/vboxdrv.sh
+++ VirtualBox-6.0.0/src/VBox/Installer/linux/vboxdrv.sh
@@ -19,11 +19,12 @@
#
### BEGIN INIT INFO
# Provides: vboxdrv
-# Required-Start: $syslog
-# Required-Stop:
-# Default-Start: 2 3 4 5
+# Required-Start: $syslog $remote_fs
+# Required-Stop: $syslog $remote_fs
+# Default-Start: 2 3 5
# Default-Stop: 0 1 6
-# Short-Description: VirtualBox Linux kernel module
+# Short-Description: VirtualBox Linux module
+# Description: VirtualBox Linux kernel module
### END INIT INFO
## @todo This file duplicates a lot of script with vboxadd.sh. When making
@@ -285,13 +286,6 @@ start()
fi
fi
# ensure permissions
- if ! chown :"${GROUP}" $DEVICE 2>/dev/null; then
- rmmod vboxpci 2>/dev/null
- rmmod vboxnetadp 2>/dev/null
- rmmod vboxnetflt 2>/dev/null
- rmmod vboxdrv 2>/dev/null
- failure "Cannot change group ${GROUP} for device $DEVICE"
- fi
if ! $MODPROBE vboxnetflt > /dev/null 2>&1; then
failure "modprobe vboxnetflt failed. Please use 'dmesg' to find out why"
fi
@@ -421,48 +415,8 @@ cleanup()
# setup_script
setup()
{
- begin_msg "Building VirtualBox kernel modules" console
- log "Building the main VirtualBox module."
- if ! myerr=`$BUILDINTMP \
- --save-module-symvers /tmp/vboxdrv-Module.symvers \
- --module-source "$MODULE_SRC/vboxdrv" \
- --no-print-directory install 2>&1`; then
- "${INSTALL_DIR}/check_module_dependencies.sh" || exit 1
- log "Error building the module:"
- module_build_log "$myerr"
- failure "Look at $LOG to find out what went wrong"
- fi
- log "Building the net filter module."
- if ! myerr=`$BUILDINTMP \
- --use-module-symvers /tmp/vboxdrv-Module.symvers \
- --module-source "$MODULE_SRC/vboxnetflt" \
- --no-print-directory install 2>&1`; then
- log "Error building the module:"
- module_build_log "$myerr"
- failure "Look at $LOG to find out what went wrong"
- fi
- log "Building the net adaptor module."
- if ! myerr=`$BUILDINTMP \
- --use-module-symvers /tmp/vboxdrv-Module.symvers \
- --module-source "$MODULE_SRC/vboxnetadp" \
- --no-print-directory install 2>&1`; then
- log "Error building the module:"
- module_build_log "$myerr"
- failure "Look at $LOG to find out what went wrong"
- fi
- log "Building the PCI pass-through module."
- if ! myerr=`$BUILDINTMP \
- --use-module-symvers /tmp/vboxdrv-Module.symvers \
- --module-source "$MODULE_SRC/vboxpci" \
- --no-print-directory install 2>&1`; then
- log "Error building the module:"
- module_build_log "$myerr"
- failure "Look at $LOG to find out what went wrong"
- fi
- rm -f /etc/vbox/module_not_compiled
- depmod -a
- sync
- succ_msg "VirtualBox kernel modules built"
+# Try to build the host kernel modules in case prepackaging has failed
+ /sbin/vboxconfig
}
dmnstatus()